<?php
/**
 * SynergyPress WordPress plugin.
 *
 * @link    https://formsynergy.com/synergypress-wordpress-plugin/
 * @version 1.6.0
 * @since   1.0
 * @package synergy-press
 **/

// Make sure we don't expose any info if called directly.
if ( ! defined( 'SYNERGY_PRESS' ) ) :
	return;
endif;
?>

<!-- About interactions -->
<div class="fs-card">
	<div class="fs-body">
		<p class="fs-description fs-strong">
			SynergyPress documentation 
			<a 
				href="<?php echo esc_url( 'https://formsynergy.com/documentation/wp-plugin/' ); ?>" 
				target="_blank" 
				title="This link will open a page from FormSynergy.com using a new tab">
					<span class="dashicons dashicons-external"></span>
			</a>
		</p>
		<p class="fs-description">
			Installation instructions, API and domain configuration, presets...
		</p>
		<hr />
		<p class="fs-description fs-strong">
			Support
			<a 
				href="<?php echo esc_url( 'https://formsynergy.com/support/' ); ?>" 
				target="_blank" 
				title="This link will open a page from FormSynergy.com using a new tab">
					<span class="dashicons dashicons-external"></span>
			</a>
		</p>
		<p class="fs-description">
			We are always happy to answer your questions.
		</p>
		<hr />
		<p class="fs-description fs-strong">
			Options and parameters
			<a 
				href="<?php echo esc_url( 'https://formsynergy.com/documentation/options-and-parameters/' ); ?>" 
				target="_blank" 
				title="This link will open a page from FormSynergy.com using a new tab">
					<span class="dashicons dashicons-external"></span>
			</a>
		</p>
		<p class="fs-description">
			All there is to know regarding interactions, including placement options, themes, size...
		</p>
		<hr />
		<p class="fs-description fs-strong">
			API documentation 
			<a 
				href="<?php echo esc_url( 'https://formsynergy.com/documentation/' ); ?>" 
				target="_blank" 
				title="This link will open a page from FormSynergy.com using a new tab">
					<span class="dashicons dashicons-external"></span>
			</a>
		</p>
		<p class="fs-description">
			PHP API, JavaScript client, Options & parameters, Synergy Press, Parsing...
		</p>
		<hr />
		<p class="fs-description fs-strong">
			Example interactions 
			<a 
				href="<?php echo esc_url( 'https://formsynergy.com/interactions/' ); ?>" 
				target="_blank" 
				title="This link will open a page from FormSynergy.com using a new tab">
					<span class="dashicons dashicons-external"></span>
			</a>
		</p>
		<p class="fs-description">
			Page scroll, embedding on page load, focusing on related element, exit strategy and custom events...
		</p>
		<hr />
		<p class="fs-description fs-strong">
			Console 
			<a 
				href="<?php echo esc_url( 'https://formsynergy.com/console/' ); ?>" 
				target="_blank" 
				title="This link will open a page from FormSynergy.com using a new tab">
					<span class="dashicons dashicons-external"></span>
			</a>
		</p>
		<p class="fs-description">
			User interface to administer anything! Modules, strategies, objective, notification methods...
		</p>
		<hr />
		<p class="fs-description fs-strong">
			LeadBoard 
			<a 
				href="<?php echo esc_url( 'https://formsynergy.com/leadboard-application/' ); ?>" 
				target="_blank" 
				title="This link will open a page from FormSynergy.com using a new tab">
					<span class="dashicons dashicons-external"></span>
			</a>
		</p>
		<p class="fs-description"> 
			Streamline and organize any information collected by visitors, while you move cards forward through their undergoing stages. Collaborate, post comments, keep track of activities...
		</p>
	</div>
</div>
